PluginProxySelector (IcedTea-Web: Plugin )
Keywords: sun.applet.PluginProxySelector class
Date: 2021-11-09

sun.applet

## Class PluginProxySelector

- java.lang.Object
- - java.net.ProxySelector
  - - net.sourceforge.jnlp.runtime.JNLPProxySelector
    - - sun.applet.PluginProxySelector

-     public class PluginProxySelector
      extends net.sourceforge.jnlp.runtime.JNLPProxySelector

  Proxy selector implementation for plugin network functions. This class fetches proxy information from the web browser and uses that information in the context of all network connection (plugin specific and applet connections) as applicable

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jnlp.runtime.JNLPProxySelector

      `FALLBACK_PROXY_PORT, PROXY_TYPE_AUTO, PROXY_TYPE_BROWSER, PROXY_TYPE_MANUAL, PROXY_TYPE_NONE, PROXY_TYPE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginProxySelector(net.sourceforge.jnlp.config.DeploymentConfiguration config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `convertUriSchemeForProxyQuery(java.net.URI uri)`
    `protected java.util.List<java.net.Proxy>` | `getFromBrowser(java.net.URI uri)` Selects the appropriate proxy (or DIRECT connection method) for the given URI
    `protected java.lang.Object` | `getProxyFromRemoteCallToBrowser(java.lang.String uri)` For tests to override.

    - ### Methods inherited from class net.sourceforge.jnlp.runtime.JNLPProxySelector

      `connectFailed, getFromArguments, getFromPAC, getProxiesFromPacResult, select`

    - ### Methods inherited from class java.net.ProxySelector

      `getDefault, setDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginProxySelector

          public PluginProxySelector(net.sourceforge.jnlp.config.DeploymentConfiguration config)

  - ### Method Detail

    - #### getFromBrowser

          protected java.util.List<java.net.Proxy> getFromBrowser(java.net.URI uri)

      Selects the appropriate proxy (or DIRECT connection method) for the given URI
      Specified by:
        `getFromBrowser` in class `net.sourceforge.jnlp.runtime.JNLPProxySelector`
      Parameters:
        `uri` - The URI being accessed
      Returns:
        A list of Proxy objects that are usable for this URI

    - #### getProxyFromRemoteCallToBrowser

          protected java.lang.Object getProxyFromRemoteCallToBrowser(java.lang.String uri)

      For tests to override.
      Parameters:
        `uri` - of proxy
      Returns:
        information about proxy

    - #### convertUriSchemeForProxyQuery

          public static java.lang.String convertUriSchemeForProxyQuery(java.net.URI uri)
                                                                throws java.net.URISyntaxException,
                                                                       java.io.UnsupportedEncodingException

      Throws:
        `java.net.URISyntaxException`
        `java.io.UnsupportedEncodingException`

Submit a bug or feature